Thirdweb Engine: List Backend Wallets
List all backend wallets configured in your Thirdweb Engine instance. Returns wallet addresses, types, and labels. Ideal for: discovering available wallets, populating wallet selection dropdowns, verifying wallet setup.
Catalog action Integrations thirdweb-engine
List all backend wallets configured in your Thirdweb Engine instance. Returns wallet addresses, types, and labels. Ideal for: discovering available wallets, populating wallet selection dropdowns, verifying wallet setup.
At a Glance
| Field | Value |
|---|---|
| Action ID | thirdweb-engine-list-backend-wallets |
| Category | Integrations |
| Connector | thirdweb-engine |
| Requires gas | No |
| Funds movement | None declared |
| Tags | smart-contract, integration, wallet, blockchain, list |
Payload Schema
| Field | Type | Required | Description |
|---|---|---|---|
page | number | No | Page number (default: 1) |
limit | number | No | Results per page (default: 50) |
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
wallets | array | Yes | - |
Examples
json{ "type": "thirdweb-engine-list-backend-wallets", "payload": { "page": 1, "limit": 1 }, "children": [], "connector": { "type": "thirdweb-engine", "id": "conn_thirdweb_engine" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/thirdweb-engine-list-backend-wallets/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "page": 1, "limit": 1 }}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
